After conformance checks have been run on the data, the ouput dataset is further prepared to obtain the necessary information to report on the conformance of the process.

![Conformance Preparation Zone.png](nsS3PoPDb5En)

First, the [conformance dataset](dataset:process_conformance_checks) is [filtered](recipe:compute_reference_process_conformance_checks) to keep only the conformance checks related to the reference process defined in the project variable. The user defines the reference process using the [Dataiku Application](article:7).

Then, a grouping recipe computes some fitness statistics over time in the [reference_process_conformance_checks_time](dataset:reference_process_conformance_checks_time) dataset to build the graphs in the [dashboard](article:24).

Two parallel threads handle the activated transitions and the problematic transitions. They are boths stored as arrays in the initial conformance checks and must be expanded to be processed. The two following grouping recipes compute the number of occurence of each these two kinds of transitions, and they are then joine back together in [activities_conformity](dataset:activities_conformity).

The last [prepare recipe](recipe:compute_activities_conformity_prepared) creates a non conformity ratio that will be displayed in the visualization. It is defined as:

```math
non\_conformity = \frac{nb\_problem}{nb\_problem + nb\_activation}
```