This slide displays metrics and charts to give an overall description of the data underlying the analyzed process.

![Process Summary 1.png](NlxIe0fRV8jD)

First, four metrics indicate:

 - The number of traces contained in the data
 - The number of distinct activities
 - The number of variants, which are the distinct succession of steps
 - The average time for process completion
 
Then two donut charts focus on the start and end activities. It is common to have only one start activity, but there could be many. End activities are also displayed with the share corresponding to the number of cases they represent.

![Process Summary 2.png](0il4MAHo3dlb)

The next pair of charts are about activities. The left-hand side bar chart shows the frequencies of each activity to have a quick look on which ones are the most common. Then, the right-hand side pie chart represent the time spent at each step, which is the sum of the time between the step and the following one, it can help figuring out where the process has been kept waiting or doing long processing. With all these graphs, it is possible to click on them and add some filters to dig deeper or remove those activities that overshadow the others.

![Process Summary 3.png](AfHDowjpLZGO)

The last couple of charts represent the case performance, which is the average time of a process execution. The first one displays it over time, to observe if there are eventually some historical patterns on the performance. And the second one shows the distribution, the potential outliers would appear on the right of the chart, with very long execution times.

