In this zone, data is prepared to create the charts that are displayed in the Process Summary slide of the [dashboard](article:24).

![Charts Zone.png](K3vRp8UODCDL)

Time between activities is summed using as a key the source activity, to compute the time spent at each state of the process, this computation does not take into account the processing time (defined when setting an end timestamp). The resulting dataset is [time_by_activity](dataset:time_by_activity).

Next, workflow are agregated by their start date using a [grouping recipe](recipe:compute_workflow_over_time). Finally the performance computed earlier in the [Webapp Precomputation Zone](article:17) are converted into hours to increase readability in the [final dataset](dataset:workflow_case_performance_hours) and they are joined back to the [workflow_over_time](dataset:workflow_over_time) to compute the average case performance over time.